This project has moved and is read-only. For the latest updates, please go here.

NShape migration to .NET 3.5

Apr 24, 2014 at 10:32 AM
Hi,
Is there any plans to migrate NShape to .NET 3.5?
Apr 24, 2014 at 3:39 PM
Currently not, but you are the first one that asks...
May I ask why you want a 3.5 version?
Marked as answer by roux1max on 4/24/2014 at 7:55 AM
Apr 24, 2014 at 3:54 PM
It's just so that I could use some features like LINQ within my Model Object libraries.
Apr 25, 2014 at 9:02 AM
Edited Apr 28, 2014 at 8:09 AM
Neither your host application nor your shape- / model object assemblies are limited to the framework version of the NShape framework since all .NET framework releases since 2.0 are based on each other (in contrast to the old 1.0/1.1).

You can set the target framework of your own ModelObject library assembly to any framework version.
The only limitation is that you cannot target the 'Client Profile' of the framework version.
Apr 25, 2014 at 9:08 AM
My bad ! It was for the Shape libraries only...
I should read more carefuly the help file.